name: absensi_app
description: Aplikasi Absensi Berbasis Lokasi & Selfie
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: '>=3.0.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.6

  # HTTP & Storage
  http: ^1.2.0
  shared_preferences: ^2.2.3
  dio: ^5.4.3+1

  # Kamera & Galeri
  camera: ^0.10.5+9
  image_picker: ^1.0.7
  image_cropper: ^7.0.3

  # Lokasi GPS
  geolocator: ^11.1.0
  geocoding: ^3.0.0

  # UI
  intl: ^0.19.0
  lottie: ^3.1.2
  fl_chart: ^0.68.0
  cached_network_image: ^3.3.1
  shimmer: ^3.0.0

  # Notifikasi
  flutter_local_notifications: ^17.1.2

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^3.0.1

flutter:
  uses-material-design: true
  assets:
    - assets/images/
    - assets/animations/

  fonts:
    - family: Poppins
      fonts:
        - asset: assets/fonts/Poppins-Regular.ttf
        - asset: assets/fonts/Poppins-Medium.ttf
          weight: 500
        - asset: assets/fonts/Poppins-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/Poppins-Bold.ttf
          weight: 700
